== Changelog ==

= 6.7.12 - 19th May 2026 =
* Improved: DatePicker now follows the date format configured in WordPress settings.
* Fixed: Billing Details now correctly support dynamic fields added through the form editor.
* Security: Patched an Insecure Direct Object Reference (IDOR) vulnerability.

= 6.7.11 - 11th May 2026 =
* Improved: Added indicator chips to Pricing categories and date selections for better visibility and clarity.
* New Feature: Added a global setting to display archive page images in their original size.
* New Feature: Added Global FAQs support, allowing FAQs to be reused across multiple trips while still supporting trip-specific FAQs.
* Fixed: Resolved an issue where slider layouts were not displaying correctly in Elementor edit mode, ensuring accurate previews during editing.
* Fixed: Corrected an issue causing the Thank You page to return a 404 error on hosting environments with object caching enabled.

= 6.7.10 - 29th April 2026 =
* Improved: Enhanced the Upcoming Tours interface with filters, a seat availability bar, and a search option for easier navigation.
* Fixed: Corrected the amount displayed on the Thank You page to match the actual payment status.
* Fixed: Resolved issue where trip end time displayed incorrectly when using translated hour and minute formats.

= 6.7.9 - 5th April 2026 =
* New Feature: Added support for translating email content using TranslatePress, making it easy to localize emails into multiple languages.
* Improved: Email previews and test emails now update instantly without saving, allowing admins to quickly review layouts using sample data.
* Fixed: Fixed an issue where Yoast SEO analysis failed if the Maps tab was left empty.
* Fixed: Resolved an issue where the Thank You page showed incorrect content due to Yoast SEO removing required URL parameters.
* Fixed: Corrected formatting issues with bank instructions on the checkout page and in email templates.
* Deprecated: Certain email tags are now deprecated and will be removed in a future release.

= 6.7.8 - 23rd March 2026 =
* Improved: Enhanced site performance by enabling lazy loading for images and maps, and caching database requests.
* Improved: Added a popup gallery to display all images when a banner image is clicked.
* Improved: Standardized amount formatting across bookings, emails, and payments to always show two decimal places.
* Fixed: Resolved formatting issues with bank instructions and descriptions on the checkout page and in emails.
* Fixed: Corrected duplicate traveler columns and inconsistent field key prefixes in the booking CSV export.
* Changed: Removed the email footer image to create a cleaner email layout.

= 6.7.7 - 9th March 2026 =
* Improved: Reorganized trip edit settings by structuring tabs and sub-tabs for easier navigation.
* Improved: Simplified multi-day trip time selection by using only a start time, which is automatically applied as the end time for clear display.
* Fixed: Corrected an intermittent issue with the pre-selected payment option on the checkout page.

= 6.7.6 - 23rd February 2026 =
* New Feature: Added a comprehensive logging system with automated log management to efficiently track and maintain system activity.
* Fixed: Resolved minor issues on the single trip page to improve stability.
* Fixed: Removed reCAPTCHA field values from enquiry emails and dashboard details to prevent long unreadable code from appearing.
* Fixed: Resolved an issue where billing and traveller details were not automatically populated at checkout after account creation from My Account.
* Security: Patched a Stored Cross-Site Scripting (XSS) vulnerability to prevent unauthorized script injection.

= 6.7.5 - 4th February 2026 =
* Fixed: Ensured non-logged-in users can access public features as expected after changes introduced in version 6.7.4.

= 6.7.4 - 4th February 2026 =
* Improved: Updated the booking export so CSV files include all expected columns for newer versions.
* Improved: Added a 'Free' label to pricing categories with a zero price for better clarity.
* Improved: Made small improvements to trip edit settings for a smoother experience.
* Fixed: Corrected pricing category labels when using WPML translations.

= 6.7.3 - 2nd February 2026 =
* Improved: Automatically creates and links a customer account when an admin completes a manual booking.
* Improved: Admins can now edit the transaction ID, payment date, and gateway response for manually added payments.
* Improved: Featured trips now display correctly in trip search results and trip archive pages.
* Improved: Multiple Enquiry forms can now be added and used on any page.
* Improved: Booking Confirmation emails are no longer sent during due payment checkouts.
* Fixed: Lead traveller additional fields now correctly copy over to billing details.
* Fixed: Booked trips no longer disappear when using different billing details on the same account.

= 6.7.2 - 15th January 2026 =
* Improved: Ensured the relevant payment option is correctly applied when switching payment gateways.
* Fixed: Resolved minor issues in manual bookings.

= 6.7.1 - 13th January 2026 =
* Improved: Addressed minor issues in manual bookings.
* Improved: Updated the booking flow to better support the installment payments add-on.
* Fixed: Resolved an issue where canceled bookings were incorrectly shown in the upcoming tour bookings list.
* Fixed: Discount amounts now display correctly with consistent formatting across all trip prices.
* Fixed: Corrected layout and styling issues when using right-to-left (RTL) languages.

= 6.7.0 - 15th December 2025 =
* Security: Fixed multiple security vulnerabilities across the platform.
* New Feature: Introduced a new checkout pricing logic for clearer and more accurate payment calculations.
* Improved: Launched a redesigned booking details interface for a more intuitive and streamlined user experience.
* Fixed: Resolved several issues in the new booking details UI to ensure accurate information display.

= 6.6.10 - 2nd December 2025 =
* Fixed: Resolved a script translation compatibility issue introduced in WordPress 6.9.
* Fixed: Corrected an issue where Extra Service selections in the trip editor did not match the options shown to customers on the front end.
* Changed: Extended the validity period of remaining payment links to 365 days, giving customers more time to complete their payments.

= 6.6.9 - 27th September 2025 =
* Improved: Enabled translation support for Trip Data using WPML Advanced Translation Editor.
* Improved: Side filters in the Trip Search page are now sorted alphabetically for easier navigation.
* Improved: SEO Analysis now supports content created with the default Block Editor in the Trip Edit page.
* Changed: Removed the decimal digit setting from the core plugin.
* Changed: Amounts now display exactly as entered, while checkout calculations are rounded to two decimal places.
* Fixed: Resolved an issue where the selected featured image for a trip was not displaying correctly on the frontend, ensuring it now consistently appears as intended across all trip views.

= 6.6.8 - 16th September 2025 =
* Security: Fixed multiple vulnerabilities to ensure safer use of file uploads.
* Fixed: Improved reliability when uploading and processing files.

= 6.6.7 - 9th September 2025 =
* New Feature: Added global seat allocation that automatically syncs across categories, dates, and timeslots to prevent overbookings.
* Changed: Replaced Maximum and Minimum Participants with Minimum Travellers Per Booking and Total Travellers Seat for clearer control.
* Changed: Updated pricing categories to use Minimum Pax per category, removing the maximum option to avoid conflicts with overall trip limits.
* Improved: Enhanced date and timeslot logic so all timeslots follow the date's total seats and align with the global trip limit.

= 6.6.6 - 2nd September 2025 =
* Improved: Email templates can now be translated using WPML.
* Improved: Updated notice banner design across the admin area for better visibility.
* Improved: Added loading feedback and prevented duplicate clicks on the 'Confirm Booking' button to ensure a smoother checkout experience and proper redirection to the thank you page.
* Fixed: Section titles are now optional — leaving the field blank no longer shows a heading on the trip page, keeping layouts cleaner.

= 6.6.5 - 18th August 2025 =
* New: Introduced a global setting to configure the discount display type.
* Enhancement: Reorganized the global settings for the Single Trip tab to improve clarity and usability.
* Enhancement: Added billing details and emergency details on the Thank You page.
* Fix: Fixed issue where coupon code was not applying correctly when the discount value was greater than the cart total.
* Fix: Fixed issue where on adding invalid coupon code, the button was not resetting to its original state.

= 6.6.4 - 29th July 2025 =
* Feature: Added support for additional pricing types to offer flexibility.
* Enhancement: Manually created bookings are now visible on the customer's dashboard.
* Enhancement: Enhanced the final payment process to prevent duplicate payments and provide clearer communication.
* Fix: Payment link generation issue for manually added bookings has been fixed.

= 6.6.3 - 24th July 2025 =
* New: Added a quick link in settings for seamless access to key resources.
* Enhancement: Refined 'Sold Out' logic to handle specific trip conditions more accurately.
* Enhancement: Optimized asset loading on the checkout page to improve performance.

= 6.6.2 - 21st July 2025 =
* Enhancement: Display of pricing in the booking modal has been improved for better alignment with the related addons.
* Enhancement: Trips without configured booking dates will now show as unavailable, and the 'Check Availability' button will be disabled accordingly.
* Fix: The Open Graph metadata output is now compatible with Facebook Debugger, ensuring correct detection of `og:image` for social sharing.
* Fix: Corrected the amount displayed on the checkout page when the Full Payment option is disabled.

= 6.6.1 - 14th July 2025 =
* New: Added an Appearance tab under the Display section in Settings for color customization.
* Enhancement: Addressed minor bugs in the Trip Search functionality.
* Enhancement: Improved SEO schema with cleaner and more accurate markup.
* Fix: Fixed issue where 'Check Availability' occasionally failed with Optimized Loading enabled.
* Fix: Corrected the %Amount% display format not rendering properly for trips with zero price.

= 6.6.0 - 7th July 2025 =
* New: Introduced a comprehensive set of new settings for the archive page, allowing greater flexibility and control over its display and behavior.
* Enhancement: Streamlined asset loading on the archive page to enhance performance.
* Enhancement: Refactored archive page settings for improved clarity and better organization.
* Enhancement: Redesigned the trip search results and archive page interface for a more refined user experience.
* Fix: Resolved issue with My Account assets not loading on multilingual sites.
* Fix: Resolved the issue where the Booking Summary was accessible to clients via the WP Admin Dashboard.

= 6.5.7 - 2nd July 2025 =
* New: Introduced a new admin notice system to display notifications within the WordPress dashboard.
* Fix: Addressed WooCommerce checkout compatibility issue with the form editor.
* Fix: Fixed an issue where fields containing country codes were incorrectly displaying country names.

= 6.5.6 - 25th June 2025 =
* Fix: Resolved a fatal error occurring in admin sub-menus.

= 6.5.5 - 25th June 2025 =
* Fix: Resolved issue where the Catalan language file was not loading correctly in Flatpickr.
* Fix: Corrected an issue with currency symbol parsing in the search filter, ensuring accurate price filtering.
* Enhancement: Introduced a field description for the Itinerary tab in the Trip Edit page.
* Enhancement: The checkout page now accurately reflects data for logged-in customers, ensuring personalized and consistent user experience.

= 6.5.4 - 23rd June 2025 =
* Fix: Incorrect price shown in {price} email tag when using Book Now, Pay Later.
* Fix: Edited tour details from the booking details page not reflected on the Checkout and My Account pages.
* Fix: Data reset issue on the checkout page when applying a coupon code.
* Fix: Issue where the same coupon could be applied multiple times.
* Fix: Corrected min/max participant validation with proper priority between general and pricing category settings.
* Fix: Resolved issue where the Email Disabled feature was not functioning as expected.
* Refactor: Set paid amount and due amount for Direct Bank Transfer and Check Payment methods to improve visibility and support for subsequent payments.
* Enhancement: Relocated the Analytics page under the WP Travel Engine submenu for improved navigation and organization.

= 6.5.3 - 6th June 2025 =
* Fix: Resolved an issue where the Stripe payment form was not mounted on the initial load of the checkout page.
* Fix: Removed due amount display on the checkout page for the 'Book Now, Pay Later' option, as it doesn't support partial payments.
* Fix: Updated Google OAuth 2.0 parameters to include account selection prompt.
* Fix: Resolved missing data problem during booking export.

= 6.5.2 - 3rd June 2025 =
* New: Introduced a cron job framework for scheduled tasks.
* Enhancement: Enabled support for applying discount coupons through URL parameters.
* Fix: Adjusted sticky tab content positioning to maintain accuracy after tab switches across all devices.
* Fix: Booking widget error on single trip page after demo import.
* Fix: Set the appropriate Reply-To email header to ensure proper handling of user responses.
* Fix: Compatibility issue with JWT Authentication Plugin.
* Fix: Special characters display issue in the Booking Summary.
* Fix: Text translation issue in the related trips section.
* Fix: Difficulty level now properly saves after assignment.

= 6.5.1 - 13th May 2025 =
* Feature: Allow users to display pricing from any category independently, improving flexibility in booking forms.
* Fix: Resolved an issue with the 'Load More' button not appearing when displaying trips using shortcodes.
* Fix: Corrected due balance showing as 0 in payment confirmation email for partial payments.
* Fix: Fixed incorrect payable and paid amounts displayed in the old checkout flow.
* Fix: Deprecated 'Show Trip Featured Image' and 'Show Featured Image in Image Gallery' options for proper functionality.
* Fix: Resolved visibility issues with disabled Trip Info fields still appearing in the backend interface.
* Fix: Show Trip Featured Image and Show Featured Image in Image Gallery options not working correctly.

= 6.5.0 - 28th April 2025 =
* Enhancement: Improved email management by adding Notifications and Settings tabs and introducing a new tag `{trip_booking_details}`.
* Enhancement: Revamped user dashboard with new design and improved account management mechanism.
* Enhancement: Skips the Traveler’s Information form from checkout during subsequent payments.
* Fix: Resolved layout issues affecting single trip pages.
* Fix: Corrected minimum passenger settings after updates.
* Fix: Ensured booked-out dates are hidden in the trip front end.
* Fix: Addressed UI breaks caused by the WPTE Elementor widget.
* Fix: Displayed Traveler's Information on the Thank You page correctly after checkout.
* Fix: Ensured Traveler's Information is included in the exported CSV file of bookings.
* Fix: Adjusted the display of the booking modal when all seats for a specific date are booked.
* Fix: Fixed the duration range slider to correctly show the minimum number of days based on trip data.

= 6.4.3 - 17th April 2025 =
* Feature: Introduced a new sub-menu labeled 'Upcoming Tours' to display the list of upcoming trips.
* Enhancement: Added an option to copy lead traveler details to billing details on the checkout page.
* Fix: Email tags for custom fields in billing details now work correctly with the New Checkout.
* Fix: Resolved the incorrect currency format issue for the paid amount in Payment Details.
* Fix: Recurring dates now display correctly on the trip archive page.
* Fix: Trips now appear in the Trip Archive page even if the duration is not updated.
* Fix: Error in Trips block caused by Trip Fixed Starting Date.
* Fix: Time slot selection in the booking modal is now working as expected.
* Enhancement: Added a method to clear leftover cache data in WP_Session_Utils and integrated it into the delete_old_sessions method. Updated write_data method to check session expiration correctly.

= 6.4.2 - 3rd April 2025 =
* Fix: Resolve react-hook-form package compatibility issue with addons.

= 6.4.1 - 31st March 2025 =
* Enhancement: Revamped the single trip page design for a better user experience.
* Enhancement: Added a dedicated archive page for trip tags.
* Fix: Fixed an issue with invalid taxonomy slugs in custom filters.
* Fix: Resolved the booking inventory update issue.
* Fix: Made the Trip Name field optional in the enquiry form.

= 6.4.0 - 18th March 2025 =
* Fix: Resolved issue with custom cookies being stripped by the CDN.
* Fix: Resolved incorrect package selection in the booking modal.
* Feature: Enabled editing of booking summaries, traveler details, and payment information.
* Feature: Added option to effortlessly resend purchase receipts and facilitate due payments via the remaining payment link.
* Enhancement: Optimized booking details page for a more organized and efficient layout.
* Enhancement: Updated trip listing page to display booking counts and revenue for quick insights.
* Enhancement: Enhanced export feature with additional filters for more precise data extraction.
* Enhancement: Introduced a redesigned layout for the Customer Details page

= 6.3.6 - 11th March 2025 =
* Fix: Corrected group discount pricing issue when modifying the traveler count.
* Fix: Resolved an unauthenticated Local File Inclusion (LFI) vulnerability.
* Fix: Unexpected behavior with Continue option in booking modal due to available times.
* Enhancement: Optimized global settings search for better efficiency.

= 6.3.5 - 25th February 2025 =
* Fix: Resolved banner layout display issue on the single trip page.
* Fix: Corrected an issue causing erroneous booking modal calculations and unexpected closures in certain scenarios.
* Fix: Resolved the problem with the date picker not functioning on the new checkout page.
* Fix: Addressed inaccuracies in end time calculations on both the thank you page and the new checkout page.
* Enhancement: Improved SEO for related trips.
* Enhancement: Adjusted functionality to keep the expand all button visible in the itinerary section even when the itinerary title is empty.

= 6.3.4 - 10th February 2025 =
* Fix: FSD addon date selection now works on mobile devices.
* Fix: Theme font family no longer overridden by plugins.
* Fix: Map image can now be removed in trip edit.
* Fix: Months list in trip search form is now translation-ready.
* Fix: 'Requires Registration for booking' feature fixed.
* Enhancement: Added HTML block and table to custom editor fields.
* Enhancement: Form validation errors are now translatable.
* Enhancement: Added filter for FSD availability select options.
* Enhancement: Updated icons in Itinerary and FAQs accordion.
* Enhancement: Replaced trip search block/widget icon.
* Enhancement: Lightbox URL removed when gallery is disabled.
* Enhancement: Removed unnecessary banner image printing for better performance.

= 6.3.3 - 27th January 2025 =
* Improvement: Enhanced the Extra Services Add-on for better usability and performance.
* Improvement: Improvised thank you page template.
* Feature: Introduced multiple banner options for single trips, providing more customization flexibility.
* Fix: Resolved an issue where the Elevation Chart was displayed on trips even when no altitude data was added.
* Fix: Improper calculation of partial payment in checkout page.
* Update: Freemius SDK

**Check out the release note for version [6.3.3](https://wptravelengine.com/new-release-version-6-3-3/).**

= 6.3.2 - 21st January 2025 =
* Fix: Translation compatibility issues with translation plugins.

= 6.3.1 - 20th January 2025 =
* Fix: Translation issues in new checkout page template.
* Fix: Regular price not displaying in the pricing category list in booking modal.
* Fix: Incorrect trip end date display in the checkout page and thank-you page.

= 6.3.0 - 7th January 2025 =
* New: Introduced a new, customizable checkout page template with an updated UI and collapsible card boxes for a cleaner, more organized layout.
* New: Checkout page now compatible with both FSE and non-FSE themes.
* New: Added options to show or hide Traveler Information and Emergency Contact forms, and choose when to display them during checkout.
* New: Customizable sections for additional notes, coupon discount, privacy policy, and footer copyright content.
* New: Added shortcode support to customize checkout components (Checkout Form, Cart Summary, Tour Details) via block editor or Elementor.
* New: Introduced two methods to implement the new checkout template: using shortcode or through Global Settings.
* New: Partial payment now calculated per traveler, with clearer display of required amounts during checkout.
* Update: Added ability to customize trip tag permalinks for better trip categorization.
* Feature: Sticky tabs now supported on mobile for improved navigation on smaller screens.
* Fix: Resolved issue preventing 100% discount coupon codes from working with all payment gateways.
* Fix: Fixed sorting issue on taxonomy pages with child terms.
* Fix: Corrected sorting issue for departure dates on custom-created trip listing pages.
* Fix: Addressed styling conflicts caused by trip search shortcode affecting other widgets.

**Check out the release note for version [6.3.0](https://wptravelengine.com/new-release-version-6-3-0/).**

= 6.2.4 - 1st January 2025 =
* Fix: Primary package is now set correctly when duplicating a trip package.

= 6.2.3 - 24th December 2024 =
* New: Added functionality to duplicate trip packages easily.
* Update: Enhanced Blocks for new Trip Fixed Starting Dates Addon Design.
* Fix: Addressed incorrect usage of "_load_textdomain_just_in_time" function call.
* Fix: Video thumbnails now display correctly when adding YouTube or Vimeo URLs to the Video Gallery.
* Fix: Improved currency symbol alignment in the backend price display.
* Fix: Corrected the error that occurred even after correctly filling the required Attachment field during booking.
* Fix: Eliminated horizontal scrolling on the trip listing page in mobile view.
* Fix: Deleted pricing categories no longer appear in the Booking Form.
* Fix: Resolved Zapier webhook trigger failure when setting up Webhook URLs.
* Fix: Resolved issue with the Extra Service title option not working.
* Fix: Resolved issue with saving "Expert Email" in the Itinerary Downloader Addon.
* Fix: Resolved unable to disable chart toggle switch in global setting

**Check out the release note for version [6.2.3](https://wptravelengine.com/new-release-version-6-2-3/).**

= 6.2.2 - 21st November 2024 =
* New: Introduced filter hooks to enable seamless support for upcoming add-ons.
* New: Added a cut-off feature for managing booking hours effectively.
* Fix: Resolved an incompatibility issue between the cut-off day feature and the Fixed Starting Dates add-on.
* Security Fix: Added capability checks and nonce verification to prevent unauthorized access to plugin settings.

= 6.2.1 - 28th October 2024 =
* New: Introduced a sorting toolbar for taxonomy terms, allowing users to dynamically sort items in ascending or descending order.
* Update: Updates freemius SDK to the latest version.
* Chore: Streamlined the data retrieval process for extra services, enhancing overall robustness.
* Refactor : Streamlined handling of itinerary images for better readability and performance.
* Fix: Improved handling of extra services in trip meta tabs to prevent the inclusion of empty or invalid entries.
* Fix: Improved error handling for package deletion, providing clearer feedback on failures.
* Fix: Improved error handling in the admin settings, enhancing stability when including configuration files.

= 6.2.0 - 22nd October 2024 =
* Update: Introduced a new layout for global settings.
* Fix: Resolved an issue where empty tabs were being displayed in the navigation tab section of the single trip page, even when no content was available.
* Fix: Corrected slug generation for custom taxonomies using non-Latin characters to ensure proper URL structure and functionality.
* Fix: Restored the visibility of the progress bar, which was not displaying correctly after version 6.0.
* Fix: Addressed an issue where custom tags for fields such as checkboxes and radio buttons were not being parsed correctly in email templates.
* Fix: Resolved an issue where selecting 'Sort Trips by Departure Dates' caused new trips to not appear on the archive page.
* Fix: Fixed the issue where double options for the 'Difficulty' taxonomy were appearing in the trip edit page.

**Check out the release note for version [6.2.0](https://wptravelengine.com/new-release-version-6-2-0/).**

= 6.1.3 - 9th October 2024 =
* Fix: Resolved a fatal error that occurred when retrieving the primary package ID.
* Fix: Corrected an issue where more than three packages were not displayed in the booking modal
* Fix: Fixed an issue where custom tab content was not appearing in the editor view.

= 6.1.2 - 3rd October 2024 =
* Fix: Resolved an issue where a 100% discount was displayed on the archive page when no sale price was set.
* Fix: New trips were not being displayed on archive pages after v6.1.0.
* Fix: Slider range on the archive page for price was not displaying the correct range after v6.1.0.
* Fix: Newly added pricing categories were not listed on trips created before v6.1.0
* Fix: Custom tab content was not showing on the trip edit page after v6.1.0
* Fix: Allowed users to set total seats to 0
* Fix: Price range calculated on the basis of trashed and draft trip posts.
* Fix: The trip search result page was displaying shortcode tags instead of the actual content for the shortcode.
* Feature: Integrated compatibility of the single trip page with Yoast SEO and Rank Math.

= 6.1.1 - 17th September 2024 =
* Fix: Primary package designation now works correctly.

= 6.1.0 - 17th September 2024 =
* Update: Introduced a revamped layout for trip editing.
* Feature: Search functionality has been implemented on the trip edit page.
* Feature: The block editor has been integrated across all tabs, replacing the rich text editor.
* Feature: An option to designate the Primary package has been added.
* Feature: An "Expand All" button has been added to the itinerary block.
* Feature: Package details are now included in both the admin and user booking dashboards.
* Fix: Resolved the issue with the date format not functioning correctly in the booking modal.
* Fix: Resolved the issue with deleting taxonomy thumbnail images in quick edit.

**Check out the release note for version [6.1.0](https://wptravelengine.com/new-release-version-6-1-0/).**

= 6.0.5 - 4th September 2024 =
* Feature: Added optimized loading for assets to improve loading speed.
* Feature: Introduced map lazy loading to delay the loading of the map iframe until user interaction.
* Feature: Added compact layout on mobile devices with WhatsApp CTA.
* Update: Removed Owl Carousel and replaced it with Splide for better performance and page speed.
* Update: Made payment method title and instructions dynamic for Check Payment and Direct Bank Transfer methods.
* Fix: Resolved issue with custom tags not working correctly.

**Check out the release note for version [6.0.5](https://wptravelengine.com/new-release-version-6-0-5/).**

= 6.0.4 - 13th August 2024 =
* Fix: Cut-off time for bookings now works correctly.
* Feature: Added option to toggle range selection and multiple date selection modes in the trip date picker (requires latest Fixed Starting Dates addon).
* Fix: Resolved issues with Compact and Breeze layout not working properly in FSE themes.
* Fix: Corrected {paid_amount}, {tprice}, and {due} tags functionality in the Per Trip Emails addon.
* Update: Updated LinkedIn SDK for social login.
* Add: Added option to show Days and Nights in the Single Trip Page Template.
* Feature: Added option to disable admin booking notification emails.
* Fix: Fixed missing age display in Traveler Categories list while booking a trip.
* Fix: Corrected Trip Min-Max participants validation during trip booking.
* Fix: Excluded trashed trip duration from the trip duration filter while searching trips.
* Fix: Updated wpml-config.xml for Plugin settings translations.
* Fix: Resolved issue while booking a cloned trip using the WooCommerce Payment addon.

= 6.0.3 - 31st July 2024 =
* Enhancement: Checks `get_role` return value for better role management.
* Fix: Resolved issue with automatic user registrations not working.
* Fix: Ensured FSE templates load correctly in FSE themes.
* Fix: Displayed package description in the trip booking process.
* Fix: Corrected available seats display for dates where the seat count is empty and the date includes a time.

= 6.0.2 - 30th July 2024 =
* Fix: Theme compatibility issue with the new release.
* Fix: Issue with the booking post model and WTE Booking Emails.
* Fix: Design issue with booking widget in responsive.
* Fix: return type issue in the wptravelengine_get_booking function call.
* Fix: New booking widget string translation issue is fixed.

= 6.0.1 - 29th July 2024 =
* Fix: Theme compatibility issue with the new release.

= 6.0.0 - 29th July 2024 =
* Enhancement: Improved page speed, particularly for single-trip pages, resulting in significantly faster load times.
* Enhancement: Simplified plugin code and optimized CSS and JS for single trips, reducing the number of requests and file sizes for CSS and JavaScript, improving performance and reducing server resource use.
* Enhancement: Improved booking modal for a smoother booking flow and better interactivity.
* New: Implemented autoloader function to automatically load class definitions, ensuring efficient management of class dependencies.
* New: Added abstract class PaymentGateway to streamline payment gateway development.
* New: Optimized scripts and styles, registering and adding them only when needed.
* New: Added new REST API endpoints for accessing trip data, packages, dates, and extra services.
* New: Implemented React in the booking modal for improved maintainability and user experience.
* Deprecated: WPTravelEngine\Core\Booking is deprecated; use WPTravelEngine\Core\Booking\BookingProcess instead.
* Deprecated: Wp_Travel_Engine class is deprecated; use WPTravelEngine\Plugin instead.
* Deprecated: wp_travel_engine_available_payment_gateways filter is deprecated; use wptravelengine_registering_payment_gateways instead.
* Deprecated: WPTravelEngine\Core\Cart->get_total() function is deprecated; use WPTravelEngine\Core\Cart\Cart::get_totals() instead.
* Deprecated: Class WTE_Cart is deprecated; use WPTravelEngine\Core\Cart\Cart instead.
* Deprecated: Class WPTravelEngine\Core\BookingInventory is deprecated; use WPTravelEngine\Core\Booking\Inventory instead.
* Deprecated: Class WPTravelEngine\Posttype\Trip is deprecated; use WPTravelEngine\Core\Models\Post\Trip instead.
* Deprecated: Class WPTravelEngine\Core\Trip\Booking is deprecated; use WPTravelEngine\Core\Models\Post\Booking instead.
* Deprecated: Class WP_Travel_Engine is deprecated; use WPTravelEngine\Plugin instead.
* Deprecated: Class WPTravelEngine\Core\Settings is deprecated; use PluginSettings class to manage plugin settings.
* Enhancement: Implemented Sidebar Panel with an “Enable Advance Search Panel” option for the trip archive page, allowing sidebar toggling on smaller devices.
* Enhancement: Introduced an 'Enable Image Gallery Autoplay' option on the single trip page, allowing users to disable autoplay.
* Enhancement: Improved the checkout page to show cart details for finalizing payments.
* Fix: The date picker issue is fixed for compatibility with the Form Editor add-on.
* Fix: Custom trip tabs deletion issue fixed.
* Notice: Temporarily disabled the 'Edit This Trip Info' section and added new bookings from the dashboard. In existing bookings, the 'Trip Info' section cannot be edited. Recommendation: Create new bookings through the standard trip booking process and cancel existing bookings if necessary.
* Upcoming Deprecations: Planning to deprecate other classes and methods in consecutive releases leading to version 7.0.0. Implementing PHP autoload features; all autoload classes are placed inside the includes/classes directory with the namespace WPTravelEngine.

**Check out the release note for version [6.0.0](https://wptravelengine.com/new-release-version-6-0-0/).**

= 5.9.4 - 12th July 2024 =
* Fix: Resolved the issue with rich text editor content rendering.
* Fix: Addressed incorrect escaping.
* Fix: Corrected capabilities to allow editor access to edit post types.

= 5.9.3 - 4th July 2024 =
* Fix: Corrects capabilities to restrict user access to post types in the admin panel.

= 5.9.2 - 4th July 2024 =
* Fix: Added missing data escaping to improve security and data integrity.

= 5.9.1 - 15th May 2024 =
* Fix: Added core blocks settings for elementor trip search block.

= 5.9.0 - 15th May 2024 =
* Feature: Introduced Over 20 Single Trip Blocks and Full Site Editing (FSE) Templates for FSE themes, providing users with a wide range of customization options.
* Feature: Implemented the ability for users to test if the server is properly configured for email sending functionality from email settings, enhancing user experience and troubleshooting capabilities.
* Enhancement: Added 'Exclude Current Trip' Setting to Trip Block. This enhancement allows users to exclude the current trip while listing trips using the trips block, providing more control over displayed content.
* Enhancement: Added 'Show All Taxonomies' Setting to Terms and Taxonomies Block. Enabling this setting will list all available terms, offering more comprehensive taxonomy display options.

**Check out the release note for version [5.9.0](https://wptravelengine.com/new-release-version-5-9-0/).**

= 5.8.5 - 9th May 2024 =
* Feature: Added Toggle Criteria Filter Display option. Enabling this feature will display each filter option as a requirement on the archive page, allowing users to toggle the visibility of criteria filters.
* Fix: Resolved issue with Incorrect End Date caused by incorrect date format provided.
* Feature: Implemented Coupon Code field visibility logic. Now, the Coupon Code field is only visible if an applicable Coupon Code is available for the current trip checkout on the Checkout Page.
* Fix: Fixed styling issues when the Booking form is sticky for a better user experience.
* Fix: Addressed the issue where only 10 Extra services options were listed in the booking modal pop-up on the Trip Page.
* Fix: Corrected the issue related to the usage of encoded slug by ensuring the correct usage of printf function.

**Check out the release note for version [5.8.5](https://wptravelengine.com/new-release-version-5-8-5/).**

= 5.8.4 - 18th April 2024 =
* Fix: Trip booking widget can now fetch data for draft trips, resolving the issue where it wouldn't work for them due to an API restriction.
* Fix:`[WP_TRAVEL_ENGINE_TRIP_ENQUIRY_FORM]` shortcode no longer displays trips with `trash` and `draft` statuses. The selector now only shows active trips.
* Fix: Resolved an error that occurred when manually inserting a booking within the admin panel. Manual bookings can now be created successfully.
* Improvement: Down payment calculation now considers total trip price after discount and tax (improves down payment accuracy).
* Internal: Introduced a new class `WPTravelEngine\Core\Cart` to manage cart functionality, replacing the previous `WTE_Cart` class. (Improves code organization and maintainability.)
* Internal: Implemented a new class `WPTravelEngine\Core\Coupon` to handle coupon functionality. (Provides a dedicated class for managing coupons.)
* Internal: Introduced a new class `WPTravelEngine\Core\Cart\Item` to represent individual cart items. (Improves data structure and clarity for cart items.)
* Internal: Added a new class `WPTravelEngine\Core\Tax` to manage tax calculations. (Provides dedicated functionality for handling taxes.)

**Check out the release note for version [5.8.4](https://wptravelengine.com/new-release-version-5-8-4/).**

= 5.8.3 - 10th April 2024 =
* Compatibility: Improved compatibility with the Rank Math plugin. Scores are now generated based on trip overview, itinerary, FAQs, and cost sections.
* Improvement: Added support for translating the form validation warning message using common translation plugins.
* Fix: Resolved the issue where bookings could be made even with unavailable seats in a selected pricing package.
* Fix: Implemented control over the double trip booking email notification (when using the WooCommerce payment gateway plugin) via the 'Disable Customer Notification' setting. This prevents the default WP Travel Engine customer email from being sent.
* Fix: Fixed the issue in the Elementor trip listing widget where the entire page content was shown in the description section due to`the_content`hook conflict.
* Fix: Ensured proper setting of trip metas during the trip cloning process.
* Fix: Implemented scroll feature on terms listings (destinations, trip types, etc.) to prevent child terms from being hidden on hover.

**Check out the release note for version [5.8.3](https://wptravelengine.com/new-release-version-5-8-3/).**

= 5.8.2 - 28th March 2024 =
* Feature: Automatically create a new user when a trip is booked
* Feature: Added additional tags for email subject field
* Enhancement: Added width and height for SVG elements for better performance
* Enhancement: Changed all instances of http to https
* Enhancement: Added Trip Booked Date in Booking Listing table
* Fixed: Issue with trip cloning that was not functioning since version 5.8.1.
* Fixed: CSV export of bookings that was not functioning since version 5.8.1.

= 5.8.1 - 15th March 2024 =
* Fix: Styling issues with the trip cards grid.
* Fix: Invalid data on woocommerce payment gateway.

= 5.8.0 - 14th March 2024 =
* Chore: Resolved an issue with the customer status widget on the dashboard.
* Enhancement: Improved the formatting of prices on the checkout page.
* Chore: Addressed layout issues with the trip cards grid.
* Chore: Enhanced the code for wpdb queries for better performance.
* Fix: Improved the code to prevent SQL injection vulnerabilities
* Enhancement: Introduced email sanitization to enhance security.
* Fix: Sanitized the export booking query to prevent potential security risks.
* Chore: Refined the use of the wpdb::prepare method for better code quality.
* Chore: General improvements to the code for better readability and maintainability.

= 5.7.9 - 9th November 2023 =
* Compatible: Wordpress Version 6.4.1 Compatible.

= 5.7.8 - 4th October 2023 =
* Fix: Code improvement to fix js error.

= 5.7.7 - 20th September 2023 =
* Enhancement: booking_url tag in email templates.
* Feature: Trip duration column in backend.
* Fix: Warning on customer post type.
* Fix: Same date different pax issue.
* Fix: Seats booked on one package effecting other package seats issue.
* Fix: Adds data in inventory to fix packages on same date booked issue.
* Fix: Reply-To email address.

= 5.7.6 - 14th August 2023 =
* Compatible: Compatibility for Email Customizer Add-on.
* Fix: Export bookings option on other screens fixed

= 5.7.5 - 11th July 2023 =
* Fix: Dates issue when trip has multiple pricing packages is fixed.

= 5.7.4 - 3rd July 2023 =
* Feature: Added destinations, activities and trip types tab in analytics dashboard.
* Feature: Bookings data can be exported as CSV.
* Feature: Personalize static strings within the plugin
* Compatible: Compatibility for Extra Services mandatory feature
* Improvement: Added Editor in FAQs content
* Improvement: Added Destination, Activities and Trip-Types overview tabs in Analytics dashboard.
* Fixes: Addresses Currency Converter related issues

= 5.7.3 - 27th June 2023 =
* Update: Freemius wordpress-sdk updated.

= 5.7.2 - 26th June 2023 =
* Feature: Customers data can be created and updated from admin dashboard.
* Improvement: Scroll to view when used custom enquiry forms.
* Compatible: Compatibility updates for Partial Payment full payment toggle feature.
* Fix: Admin menu related issues are fixed.
* Fix: Enquiry form moved down when a form shortcode used on the sidebar is fixed.

= 5.7.1 - 19th June 2023 =
* Add: Added filters for Per Trip Emails Addon.
* Add: Added support for `Elementor Trip Search Widget` to change icons.
* Feature: List of email addresses can be added for enquiry notification emails.
* Feature: The popular Ninja Forms, WPForms and Gravity Forms shortcode can be used as Enquiry Form alternatives.
* Improvement: Added support for WebP format for image uploads.
* Improvement: Added Editor for Trip Package Description field.
* Fix: Fixed a bug related to the set-cookie header in each response header
* Fix: Fixed default gateway is not get selected on checkout

= 5.7.0 - 25th May 2023 =
* Feature: Adds Analytics page that gives an overview of transactions, customer information, and trip details
* Feature: Adds WP Travel Engine Booking Summary widget
* Tweak: Organizes Plugin Admin Menu Items
* Tweak: Removes Messages from Menu and Admin message for User consent
* To obtain additional information, kindly refer to our <a href='//wptravelengine.com/analytics-dashboard-release-note' target='_blank'>release note</a>.

= 5.6.11 - 18th May 2023 =
* Tweak: Trips Block Enhancement
* Minor enhancements and Issue fixes

= 5.6.10 - 9th May 2023 =
* Tweak: Adds Trip Extras data for Zapier
* Fix: Terms Listings show children terms not working
* Fix: Enquiry Email Subject is not translatable.
* Fix: Partial Script loading issue when used with CDN plugins.

= 5.6.9 - 25th April 2023 =
* Tweak: Speed up loading time of booking Widget
* Tweak: Show Tax percentage in mini cart and emails for tax inclusive prices.
* Tweak: Adds {payment_method} tag for emails.
* Fix: Removes deprecated function `get_page_by_title`

= 5.6.8 - 6th April 2023 =
* Fix: Trip Settings is not applicable in case of disabled Participants and Age #324
* Fix: Admin email is send when notification is disabled
* Fix: Trip facts title is hidden #330
* Fix: Trip Gallery Slider not loading on later loaded items
* Fix: Error when customer listing
* Fix: Customer last booked date is incorrect
* Fix: Space Gap in footer in single trip
* Tweak: Shows Age for pricing categories if set.
* Tweak: Optimizes `flush_rewrite_rules` action
* Tweak: Option to enable sticky booking area. #326
* Tweak: Custom Tax Label option #312
* Tweak: Currency formatting consistency #339
* Tweak: Dynamic trip map shortcode #325
* Tweak: Shortcode for Enquiry Form. #336

= 5.6.7 - 30th March 2023 =
* Fix: Date selection issue on Smaller Devices
* Enhancement: Booking Inventory update for multilingual Trip booking
* Minor enhancements and Issue fixes

= 5.6.6 - 27th March 2023 =
* Fix: Styling compatibility for new pricing widget category
* Minor enhancements and Issue fixes

= 5.6.5 - 21st March 2023 =
* Fix: Undefined function issues on some pages
* Minor enhancements and Issue fixes

= 5.6.4 - 21st March 2023 =
* Feature: New pricing widget layouts for smaller devices
* Fix: Missing custom taxonomies in admin menu
* Minor enhancements and Issue fixes

= 5.6.3 - 2nd March 2023 =
* Compatibility: WPML compatible for translating trips and string translations
* Minor enhancements and Issue fixes

= 5.6.2 - 28th February 2023 =
* Fix: Total price calculation issue on booking popup
* Fix: Displays bullets when cost excludes content is empty
* Fix: Data type issue when there is only item of trip highlight
* Fix: Shows unapproved reviews
* Fix: Multiple entries of difficulty/tag taxonomy terms
* Feature: Sends trip package name in email
* Minor enhancements and Issue fixes

= 5.6.1 - 28th February 2023 =
* Fix: Pricings not displays correctly when used with GD
* Fix: Selects all the time with same starting time while booking
* Minor enhancements and Issue fixes

= 5.6.0 - 12th January 2023 =
* Feature: WP Travel Engine Admin Home
* Compatible: RTL Compatible
* Minor enhancements and Issue fixes

= 5.5.12 - 6th January 2022 =
* Enhancement: Cleanup trip data when deleted permanently
* Fix: Booking widget not displayed when sale price is enabled and price is empty.
* Enhanement: Adds option to enable/disable featured image in gallery.
* Minor enhancements and Issue fixes

= 5.5.11 - 21st December 2022 =
* Fix: Lists all Packages while creating new trips.
* Minor enhancements and Issue fixes

= 5.5.10 - 16th December 2022 =
* Fix: Trip Facts overrides if tab is not active when saving trip.
* Fix: Admin Settings Tab Sticky always keeps enabled.
* Minor enhancements and Issue fixes

= 5.5.9 - 9th December 2022 =
* Fix: Map button and tooltip not working on new card when list updated
* Fix: Trip facts gets hidden on sidebar after update
* Fix: Trip Duration settings shows same value
* Minor enhancements and Issue fixes

= 5.5.8 - 9th December 2022 =
* Fix: Trip Search Duration Slider Issue
* Minor enhancements and Issue fixes

= 5.5.7 - 8th December 2022 =
* Fix: Trip Search form slider label issue
* Enhancement: Reduced booking widget load time
* Tweak: Adds default trip facts options
* Tweak: Adds New Tab - Display, on Admin settings Page with layout conditions
* Feature: Options to set default trip sorting and list view options
* Feature: Adds Tag and Difficulty taxonomy for trips
* Feature: New Trip Card advance layout
* Minor enhancements and Issue fixes

= 5.5.6 - 28th November 2022 =
* Fix: Shows packages as page issue
* Minor enhancements and Issue fixes

= 5.5.5 - 15th November 2022 =
* Fix: Fancybox Gallery Button Issue in Single Trip Page
* Fix: Check availability loading issue
* Fix: Image blur issue in trip listing page
* Minor enhancements and Issue fixes

= 5.5.4 - 18th October 2022 =
* Fix: Trip Duration label
* Fix: Typo fixes
* Fix: Layout issue of check availability section on small devices
* Minor enhancements and Issue fixes

= 5.5.3 - 19th September 2022 =
* Design: Trip availability booking widget in mobile improvement
* Enhancement: Booked seats tracking functionality enhancements
* Enhancement: Booking update and creation from admin page
* Minor enhancements and Issue fixes

= 5.5.2 - 15th September 2022 =
* Fix: Trip content scroll issue
* Minor enhancements and Issue fixes

= 5.5.1 - 14th September 2022 =
* Fix: Missing Dropzone script on dashboard
* Fix: Social Login redirection issue
* Enhancement: Rating stars not displays when no ratings
* Fix: Missing Icons
* Minor enhancements and Issue fixes

= 5.5.0 - 12th September 2022 =
* Feature: Customers can now Log In or Sign Up via socials. Facebook, Google and LinkedIn
* Feature: Show/Hide related trips on Single Trip page.
* Feature: Tax can be enabled and tax details will be shown while checkout.
* Feature: Enable hours on week days basis for short day tours or multi day tours.
* Enhancement: Both admin and customer will get information of each travellers in email.
* Enhancement: Quick menu of WP Travel Engine has been added on Admin bar for easy navigation.
* Enhancement: Enhanced and user friendly customer dashboard with new looks.
* Enhancement: Optimization for page speed by reducing resource size and requests.
* Enhancement: UI/UX enhancements
* Fix: Search filters not being displayed when enabled **Hide in Search Page - FILTER BY Section**
* Fix: Remaining amount is 0 for partially booked trips on Dashboard
* Minor enhancements and Issue fixes

= 5.4.4 - 1st August 2022 =
* Fix: Disable fontawesome option not working
* Fix: All videos can not be deleted from gallery tab on Trip Edit
* Minor enhancements and Issue fixes

= 5.4.3 - 15th July 2022 =
* Fix: HTML entities not renders on Script templates used on trip booking popup.
* Fix: Travellers info not displaying.
* Minor issues fix

= 5.4.2 - 4th July 2022 =
* Minor issues fix

= 5.4.1 - 27th June 2022 =
* Fix: Booked Date formatting issue
* Fix: Cannot create booking manually from admin
* Fix: Checkout button label shows full payment amount when discount applied.
* Fix: Support for elementor trip slider widget
* Minor issues fix

= 5.4.0 =
* Fix: Pricing categories more than 10 not displayed while editing packages issue.

= 5.3.9 - 31st March 2022 =
* Fix: Same trip packages applies when a trip is cloned Issue.
* Fix: Load more button not working for non-logged in user.
* Minor fixes.

= 5.3.8 - 3rd March 2022 =
* Fix: Load more button not working on archives.
* Fix: Vimeo video couldn't be added on ssl enabled sites.
* Fix: Issue on WP Templates when used with WP Optimize plugin.
* Fix: Package data not saving when trip drafted.
* Fix: Support for Polylang to translate pricing categories.
* Fix: Video Gallery layout issues fixes.
* Tweak: Updates freemius lib.
* Minor fixes.

= 5.3.7 - 2nd March 2022 =
* Feature: Slider Support for WTE elementor widgets.
* Fix: Number of Trip packages limited by per_page setting.
* Fix: Package Group Discounts not saving
* Enhancement: Allows to display taxonomies children terms on taxonomy blocks.
* Minor bug fixes

= 5.3.6 - 26th January 2022 =
* Compatibility Fixes for 5.9
* Fix: Package link not rendered on Enquiry email
* Fix: Error when switching list mode on search page
* Fix: Search Filter invalid nonce issue
* Fix: Dashboard login undefined index issue
* Minor bug fixes

= 5.3.5 - 8th December 2021 =
* Fix: cannot use html tags on cutom tabs content
* Fix: Select dropdown gets behind other element on blocks
* Minor Issue Fixes

= 5.3.4 - 3rd December 2021 =
* Fix: Trip Tabs not showing on fresh setup when used without onboarding setup
* Fix: Full description of taxonomies term is not available
* Fix: Per label is not translateable
* Fix: Onboarding saving not working
* Minor Issue Fixes.

= 5.3.3 - 1st December 2021 =
* Fix: Taxonomy Description strip issue fixed.
* Minor Issue Fixes.

= 5.3.2 - 30th November 2021 =
* Fix: Global settings page error fixed.
* Minor Issue Fixes

= 5.3.1 - 21st November 2021 =
* Minor Issue Fixes

= 5.3.0 - 17th November 2021 =
* Tweak: Custom Filters menu moved under Trips as submenu on Dashboard
* Update: Payment Method, Booking only label updates on checkout
* Update: Decimal digits default to 0
* Fix: Onboarding process not working correctly on first activation
* Fix: Selecting a date on some months not working for specific timezone
* Update: New user will have 2 pricing categories, Adult and Child as default
* Update: Package edit link's label updated
* Update: Payment method `Booking only` is now labelled as `Book Now Pay Later`
* Enahancement: New tab is added on package edit popover section
* Enahancement: Packge description can be added under general tab while editing packages
* Enahancement: Packages are now sortable on trip edit page

= 5.2.2 - 11th August 2021 =
* Fix: Calendar dates diabled when no fsd plugin used fix

= 5.2.1 - 10th August 2021 =
* Fix: Booking Dates issues related to timezones fixes
* Fix: Minor Bug Fixes

= 5.2.0 - 3rd August 2021 =
* Feature: Custom Trip Code feature integrated on the core
* Feature: Trip Search feature integrated on the core
* Feature: Coupon codes feature integrated on the core
* Feature: Feature to add custom filters/taxonomies for trips now available on the core
* Fix: Minor style fixes on admin
* Fix: Shows original price when sale price is available on trip list
* Fix: Trip can be booked with more pax when there is pax limit
* Fix: Remaining amount mismatched when booked using standard PayPal.
* Fix: Video Gallery is not working correctly.
* Fix: Site timezone affects the booked trip date on checkout page.
* Enhancement: Controlled booking steps, validation before stepping to next step
* Enhancement: Default Pay button will show paying amount during checkout.
* Enhancement: Performance and DB Query Optimzations.
* Minor bug fixes

= 5.1.0 - 10th June 2021 =
* Template: trip content template updates
* Fix: Category Label not dynamic issue fix
* Enhancement: Trip Date calendar

= 5.0.3 - 3rd June 2021 =
* Enhancement - Global Trip Highlights can be added from settings.
* Enhancement - Trip highlights shown below Trip Prices
* Enhancement - WTE Custom pages lable shown in Admin Screen > Pages.
* Fixes - Category per-group not working issue fixed.
* Fixes - Minor Bug Fixes.
* Fixes - Trip Price Issue fixes.
* Fixes - Calendar translation support added.
* Fixes - Minor Bug fixes.

= 5.0.2 - 1st June 2021 =
* Scrips loading issue on backend fixed.
* Fixes - Minor Bug Fixes.

= 5.0.1 - 31st May 2021 =
* Design issue fixing for responsive booking UI
* Compatibility fixes for themes.
* Fixes - Minor Bug Fixes.

= 5.0.0 - Major Update Release - 30th May 2021 =
* [New Feature] Multiple Pricing Categories
* [New Feature] Multiple Dates and Times
* [New Feature] New Trip Booking User Interface (UI)
* Fixes - Minor Bug Fixes.

= 4.3.8 - 6th May 2021 =
* Tweak - Display untested plugin list as for both minor and major updates in pre update notice.
* Dev - Introduces plugin headers
* Enahancement - Shows notice on extension license expiry.
* Enahancement - Auto deactivate license on Expiry.
* Fixes - Minor Bug Fixes.

== Changelog ==
= 4.3.7 - 19th March 2021 =
* Fixes - Deprecated functions cleanup / alternative implemented in core.
* Fixed - Empty spaces in itinerary section issue fixed.
* Fixes - Minor Bug Fixes.

= 4.3.6 - 16th March 2021 =
* Fixes - Partial payment issue fixed with PayPal Express checkout.
* Fixes - Form render issue fixed with Ninja Forms.
* Enhancement - WordPress 5.7 compatibility update.
* Fixes - Minor Bug Fixes.

= 4.3.5 - 26th February 2021 =
* Fixes - Thousand separator single quote display issue fixed.
* Enhancement - Added translation support for Bank Transfer and Check Payment Global Settings.
* Enhancement - Freemius version updated to latest ( 2.4.2 ).
* Fixes - Minor Bug Fixes.

= 4.3.4 - 17th February 2021 =
* Email booking subject issue fixing.
* Fixes - Minor Bug Fixes.

= 4.3.3 - 12th February 2021 =
* Fixed issues related to booking options and email tags.
* Fixing of issues regarding WP Travel Engine and Fixed Departure Dates seats.
* Fixes - Minor Bug Fixes.

= 4.3.2 - 10th February 2021 =
* Booking meta edit and save issues fixed.
* Fixes - Minor Bug Fixes.

= 4.3.1 - 4th February 2021 =
* Trip Facts minor issues fixed.
* Checkout form validation issue fixed.
* Fixes - Minor Bug Fixes.

= 4.3.0 - 2nd February 2021 =
* Enhancement - Conflict with FontAwesome fixed for Elementor premium addon.
* Enhancement - New Email Templates added for payment notification and status for Admin and Customers.
* Enhancement - Preview Email templates right from the settings screen.
* Enhancement - Optimized booking data to support future Enhancements like Multiple Checkout and Payment processing.
* Fixes - Minor Bug Fixes.

= 4.2.4 - 21st December 2020 =
* Fixes - Compatibility fixes added for WordPress 5.6 and PHP 8.0 basic compatibility.
* Fixes - jQuery migrate updated version in WP 5.6 compatibility fixes done.
* Fixes - Minor Bug Fixes.

= 4.2.3 - 7th December 2020 =
* Fixes - Fixed total payable now calculation error on checkout page fixed.
* Fixes - Minor Bug Fixes.

= 4.2.2 - 1st December 2020 =
* Fixes - Compatibility fixes for WP Travel Engine Fixed Starting Dates Addon latest version.
* Fixes - Minor Bug Fixes.

= 4.2.1 - 11th November 2020 =
* Enhancements - Included Freemius library update with latest security release.
* Enhancements - Select2 package updated to latest version.
* Enhancements - CSS Style enhancements for trip dates sections.
* Fixes - Compatibility fixes for WP Travel Engine Fixed Starting Dates Addon latest version.
* Fixes - Minor Bug Fixes.

= 4.2.0 - 2nd November 2020 =
* Enhancements - Booking calander screen enhancements and fixes.
* Enhancements - EDD compatibility for latest version added.
* Fixes - Minor Bug Fixes.

= 4.1.9 - 8th October 2020 =
* New Feature - BACS and Check Payment Gateway Support Added
* Fixes - Translation missing issue fixed for continue button and Dashboard String.
* Fixes - Minor Bug Fixes.

= 4.1.8 - 1st October 2020 =
* Enhancement - Trip Cut-off time calculation enhancements for more accurate calculation of cut off days.
* Fixes - Trip filters not working isssue fixed for Trip Listing template.
* Fixes - Partial payment issues fixed for checkout page.
* Fixes - Minor Bug Fixes.

= 4.1.7 - 29th September 2020 =
* Fixes - Booking option hidden for default payment gateways issue fixed.
* Fixes - Minor Bug Fixes.

= 4.1.6 - 24th September 2020 =
* New Feature - Partial Payment support for bookings from User Dashboard.
* Enhancement - All payment gateways compatibility fixes.
* Fixes - Minor Bug Fixes.

= 4.1.5 - 17th September 2020 =
* Fixes - Compatibility fixes for addons.
* Fixes - Minor Bug Fixes.

= 4.1.4 - 11th September 2020 =
* Fixes - Select2 JS error in console fixed.
* Enhancement - Enquiry form fields reordered.
* Fixes - Minor Bug Fixes.

= 4.1.3 - 10th September 2020 =
* Fixes - Select2 JS double load issue fixed.
* Enhancements - WP Editor Support for Taxonomy Description.
* Fixes - for new addons compatibility.
* Fixes - Minor Bug Fixes.

= 4.1.2 - 1st September 2020 =
* Fixes - Minor Bug Fixes.

= 4.1.1 - 1st September 2020 =
* Enhancements - Compatibility added for Currency Converter addon and Travel Muni theme.
* Enhancements - Price filters in archive pages updated to search according to actual trip price.
* Enhancements - Hooks added before and after minicart in checkout page.
* Enhancements - Minimum Maximum age icon field added.
* Fixes - Added remove buttons for Trip Info Icons.
* Fixes - Minor Bug Fixes.

= 4.1.0 - 13th August 2020 =
* Enhancements - Compatibility Testing with WordPress version 5.5.
* Fixes - Partial pay option showing even when off in post issue fixed.
* Fixes - Send quick message link removed when enquiry form is disabled in trips.
* Fixes - Minor Bug Fixes.

= 4.0.9 - 13th August 2020 =
* Enhancements - Compatibility Testing with WordPress version 5.5.
* Fixes - Minor Bug Fixes.

= 4.0.8 - 6th August 2020 =
* Enhancements - Booking status update options added for bookings.
* Fixes - Fixed Departure dates freed up upon booking cancellation and refunded bookings.
* Fixes - Minor Bug Fixes.

= 4.0.7 - 30th July 2020 =
* Fixes - Data loss on preview trip post issue resolved.
* Fixes - Featured string translate ready in list view.
* Fixes - Minor Bug Fixes.

= 4.0.6 - 16th July 2020 =
* Enhancement - Partial payment dues and paid details added on Bookings dashboard page.
* Enhancement - Single-trip tab title filters added.
* Enhancement - Hooks added for Zapier addon.
* Fixes - Group Discount issue fixes in archive pages.
* Fixes - Minor Bug Fixes.

= 4.0.5 - 3rd July 2020 =
* Enhancement - Compatibility support added for currency converter addon.
* Fixes - Minor Bug Fixes.

= 4.0.4 - 2nd July 2020 =
* Enhancement - Zero traveller selection support for Adult pricing.
* Enhancement - Compatibility support added for coupon addon.
* Fixes - Minor Bug Fixes.

= 4.0.3 - 30th June 2020 =
* Enhancement - Image support added for booking emails.
* Enhancement - Months name i18n support added.
* FIX - Itinerary and FAQs delete issue fixed.
* FIX - HTML render issue fixed for itinerary contents.
* FIX - Iframe code render issue fixed for tabs.
* FIX - Fontawesome assets loaded on WP Travel Engine admin pages only.
* FIX - Minor bug fixes.

= 4.0.2 - 23rd June 2020 =
* FIX - Map tab not shown issues for some installations.
* Enhancement - Trip Nights detail meta field added back to new backend UI.
* FIX - Minor bug fixes.

= 4.0.1 - 21st June 2020 =
* FIX - HTML content as entity encoded issue fixed for textarea contents.
* Enhancement - Plugin Screenshots Updated.
* FIX - Minor bug fixes.

### Major Update Release

= 4.0.0 - 18th June 2020 =
* Enhancement - Intuitive backend UI
* Enhancement - New Trip Edit Screen
* Enhancement - Updated Booking Screen
* Enhancement - Updated Enquiry Screen
* Enhancement - Updated Settings Screen
* Enhancement - Updated Plugin License Page
* Enhancement - New User Onboarding process
* Feature - Price Per Group
* Feature - Add Manual Booking
* Feature - Default Trip Code
* Feature - Cut-Off Time
* Feature - Min-Max Participants
* Feature - Trip Highlights
* Fixes - Minor Bug Fixes

= 3.1.8 - 21st May 2020 =
* Enhancement - Booking confirmation message updated.
* Enhancement - Hooks added for templates.
* Fixes - i18n support added for missing strings.
* Fixes - Minor bug fixes.

= 3.1.7 - 14th May 2020 =
* Enhancement - Compatibility support added for Coupon Code Addon.
* Enhancement - WP Travel Engine Cart page updated.
* Enhancement - WP Session management lib updated.
* Enhancement - Public JS Assets optimization.
* Fixes - URL conflict in Enquiry Forms with 'WP External Links' plugin resolved.
* Fixes - i18n support added for missing strings.

= 3.1.6 - 23rd April 2020 =
* Enhancement - Compatibility support for Itinerary Downloader Addon.
* Fixes - Owl Carousel JS missing issue fixed for default themes.
* Fixes - Fontawesome JS files handle name issue fixed.

= 3.1.5 - 22nd April 2020 =
* Enhancement - Added support for dynamic dashboard page, changed dashboard page URL to my-account
* Enhancement - Filters added for View Details in list and grid template
* Enhancement - Traveller cost details added in Booking Emails and Thankyou Page
* Enhancement - Enquiry Form Email template added
* Enhancement - Assets optimized for better speed
* Enhancement - Video Gallery Shortcode for slider/popup added
* Fixes - Invalid IPN issue fixed
* Fixes - Destination Taxonomy Pages - Nothing Found issue resolved
* Fixes - Booking form above the enquiry form on the mobile
* Fixes - Booking Summary above Checkout form in mobile
* Fixes - Added maxwidth for trip fact block svg
* Fixes - Price filter changed to Regular Price instead of Sales Price
* Fixes - Design fixes for radio button labels in Enquiry Form
* Fixes - Minor bug fixes.

= 3.1.4 - 13th April 2020 =
* Fixes - Magnific Popup JS error fixes for dashboard.js
* Fixes - Minor bug fixes.

= 3.1.3 - 10th April 2020 =
* Enhancements - Wrapper function added for core _doing_it_wrong() function.
* Fixes - Shiny update message hidden issue fixed.
* Fixes - URLs updated for compatible themes.
* Fixes - Minor bug fixes.

= 3.1.2 - 9th April 2020 =

* New Feature - WP Travel Engine User Dashboard - Frontend Dashboard for customers.
* Fixes - Package Name link added in Enquiry email
* Fixes - Empty tabs and missing cost tab issue fixed
* Fixes - Mail tags not working issue fixed for form editor addon.

= 3.1.1 - 6th April 2020 =

* Enhancements - Removed session_start() function to avoid conflict with WordPress Sessions.
* Enhancement - New email template added for responsive booking emails.
* Fixes - cURL 28 error fixed from WordPress site health screen.
* Fixes - REST API error fixed from site health.
* Fixes - Design issue fixes for Fixed Starting dates on grid and list views.

= 3.1.0 - 2nd April 2020 =

* Feature - featured trips functionality added
* Feature - featured trips widget added
* Feature - Video Gallery support added
* Enhancement - compatibility check for WordPress 5.4
* Enhancement - single trip content parts refactor
* Enhancement - grid and list content template added
* Enhancement - layout and postsnumber parameter support added for custom shortcodes
* Enhancement - display currency symbol or code in single trip/archive pages
* Enhancement - hooks added for Travel Muni theme.

= 3.0.9 - 5th March 2020 =

* Fix - translation issue fixes for enquiry form strings.
* Fix - 'inquiry' text changed to 'enquiry' for consistency.
* Fix - empty price display issue fixed in archive listing pages.
* Enhancement - {booking_id} email tag added for booking and purchase emails.

= 3.0.8 - 2nd March 2020 =

* Fix - Default global tabs settings added.
* Fix - Booking form display issue fixed for empty prices.
* Enhancement - Updated priority of load plugin textdomain from WP_LANG_DIR to avoid translation override issue on plugin update.
* Enhancement - 'From Name' added for Enquiry admin emails.
* Enhancement - Parsley JS validation added for enquiry form validation.
* Enhancement - Hooks added for Form Editor and File Downloads addons.

= 3.0.7 - 14th February 2020 =

* Fix - Pricing option label used as key issue fixed.
* Enhancement - Partial template added for itinerary tab.
* Enhancement - Hooks added for WP Travel Engine Advanced Itinerary Builder addon.

= 3.0.6 - 12th February 2020 =

* Fix - Pricing fixes when default price for adult traveller not set.
* Fix - Fontawesome icons list fade out issue for trip tabs and trip info fixed.
* Feature - Settings to display multiple prices list in booking form added.
* Enhancement - Added smooth scroll for "Send Us A Message" link.

= 3.0.5 - 6th February 2020 =

* Fix - Allowed pricing options selection for 0 prices.
* Fix - 404 page PHP warnings fixed.
* Fix - PHP warnings fixed when FAQs are not set for trips.
* Enhancement - Payments status metabox added for booking.
* Enhancement - Compatibility fixes with Currency Converter Addon.

= 3.0.4 =

Released on: 29th January, 2020

Fixes:

* Minor bug fixes.

= 3.0.3 =

Released on: 29th January, 2020

Features:

* Multi Pricing options added.
* Freemius Integration added.

Enhancements:

* Cache Busting for scripts.
* Hooks added for Currency Converter addon.
* Added {city} and {country} email tags for Booking Emails.

Fixes:

* Taxonomy pages optimized.
* Minor bug fixes.

= 3.0.2 =

Released on: 17th January, 2020

Fixes:

* Sold Out Dates set to unavailable in Booking Form.
* Minor bug fixes.

= 3.0.1 =

Released on: 16th January, 2020

Fixes:

* Booking Form hidden for empty prices.
* Multiple Pricing beta version removed.
* Minor bug fixes.

= 3.0.0 =

### Major Update Release

Released on: 15th January, 2020

Features:

* [New] Conversion Optimized Booking Process Indicator.
* [New] Booking Form on the Trip Page.
* [New] Checkout Page Design.

Enhancements:

* Getting Started Page.
* Optimized Booking and Payment Process.

Fixes:

* Minor bug fixes.
